[@rxap/data-source](../wiki/globals) / RxapObservableDataSource

# Function: RxapObservableDataSource()

> **RxapObservableDataSource**\<`Data`\>(`metadata`, `className`, `packageName`): (`target`) => `void`

Defined in: [packages/angular/data-source/src/lib/observable.data-source.ts:39](https://gitlab.com/rxap/packages/-/blob/e40fbf25c2cedeb065b661a89d70669104014cad/packages/angular/data-source/src/lib/observable.data-source.ts#L39)

## Type Parameters

• **Data**

## Parameters

### metadata

[`ObservableDataSourceMetadata`](../wiki/Interface.ObservableDataSourceMetadata)\<`Data`\>

### className

`string` = `'ObservableDataSource'`

### packageName

`string` = `'@rxap/data-source'`

## Returns

`Function`

### Parameters

#### target

`Constructor`\<[`ObservableDataSource`](../wiki/Class.ObservableDataSource)\<`Data`\>\>

### Returns

`void`
